For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change Signatory

Signatory details

post
/api/Public/ChangeSignatory/GetSignatoryDetails
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
workflowIdinteger · int32Required
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/ChangeSignatory/GetSignatoryDetails
POST /api/Public/ChangeSignatory/GetSignatoryDetails HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "workflowId": 1
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "envelopeName": "text",
    "signatories": [
      {
        "subscriberId": 1,
        "email": "text",
        "name": "text",
        "order": 1,
        "statusId": 1,
        "workId": 1
      }
    ]
  }
}

Check signatory exist

post
/api/Public/ChangeSignatory/CheckSignatoryExist
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
workflowIdinteger · int32Required
newSubscriberIdinteger · int32Required
oldSubscriberIdinteger · int32Required
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/ChangeSignatory/CheckSignatoryExist
POST /api/Public/ChangeSignatory/CheckSignatoryExist HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 56

{
  "workflowId": 1,
  "newSubscriberId": 1,
  "oldSubscriberId": 1
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "code": 1,
    "message": "text"
  }
}

Save signatory details

post
/api/Public/ChangeSignatory/SaveSignatoryDetails
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
workflowIdinteger · int32Required
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
responsebooleanOptional
post/api/Public/ChangeSignatory/SaveSignatoryDetails
POST /api/Public/ChangeSignatory/SaveSignatoryDetails HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81

{
  "workflowId": 1,
  "changes": [
    {
      "oldSubscriberId": 1,
      "newSubscriberId": 1,
      "workId": 1
    }
  ]
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": true
}

Search subscribers

get
/api/Public/ChangeSignatory/SearchSubscribers
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
prefixstringOptional
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
get/api/Public/ChangeSignatory/SearchSubscribers
GET /api/Public/ChangeSignatory/SearchSubscribers HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": [
    {
      "subscriberId": 1,
      "email": "text",
      "name": "text"
    }
  ]
}

Last updated